/**
 * 
 */
package org.ow2.petals.tools.webconsole.to;

/**
 * @author aruffie
 *
 */
public class ServiceAssemblyTO {
	
    private String name;
    private String state;
    private String type;
    private String description;
    private static String[] VALUES = {"Stopped","Started","Shutdown","Unknown"};
    
	public ServiceAssemblyTO() {
		super();
	}

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public ServiceAssemblyTO(String description, String name, String state, String type) {
        super();
        this.description = description;
        this.name = name;
        this.state = state;
        this.type = type;
    }

    public ServiceAssemblyTO(String name, String state) {
        super();
        this.name = name;
        this.state = state;
    }
    
    public boolean getCanBeUninstall(){
        if(this.state.equals(VALUES[2])){
            return true;
        }
        return false;
    }
    
    public boolean getCanBeShutdown(){
        if(this.state.equals(VALUES[0])){
            return true;
        }
        return false;
    }
    
    public boolean getCanBeStarted(){
        if(this.state.equals(VALUES[0])||
           this.state.equals(VALUES[2])){
            return true;
        }
        return false;
    }
    
    public boolean getCanBeStopped(){
        if(this.state.equals(VALUES[1])){
            return true;
        }
        return false;
    }
	
}
