/**
 * 
 */
package org.ow2.petals.tools.webconsole.business;

import java.util.Map;

import javax.management.MBeanAttributeInfo;

import org.ow2.petals.tools.webconsole.services.PetalsServiceException;
import org.ow2.petals.tools.webconsole.services.management.ManagementService;
import org.ow2.petals.tools.webconsole.services.management.ManagementServiceFactory;

/**
 * @author aruffie
 *
 */
public class ManagementBBean {

    public Map<MBeanAttributeInfo, Object> recoverRuntimeAttributes(final String componentName, final String port, final String password, final String host, final String login) throws PetalsServiceException{
        final ManagementService service = (ManagementService) ManagementServiceFactory.getInstance()
                .getService(host, Integer.parseInt(port), login, password);
        return service.recoverRuntimeAttributes(componentName);
    }

    public void setRuntimeAttributes(final String componentName, final String port, final String password, final String host, final String login, final Map<MBeanAttributeInfo,Object> attributes) throws PetalsServiceException{
        final ManagementService service = (ManagementService) ManagementServiceFactory.getInstance()
                .getService(host, Integer.parseInt(port), login, password);
        service.setRuntimeAttributes(attributes, componentName);
    }

    public void forceUnload(final String componentName, final ManagementService service) throws PetalsServiceException {
        service.forceUnloadInstaller(componentName);
    }

    public void forceUnDeploy(final String serviceAssemblyName, final ManagementService service) throws PetalsServiceException {
        service.forceUnDeploy(serviceAssemblyName);
    }
}
