/**
 * 
 */
package org.ow2.petals.tools.webconsole.to;

/**
 * @author aruffie
 *
 */
public class EndPointTO {

    private String name;

    private String type;
    
    private String component;

    private String service;

    private String wsdl;
    
    private String interfaceName;

    private String server;
    
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getComponent() {
        return component;
    }

    public void setComponent(String component) {
        this.component = component;
    }

    public String getService() {
        return service;
    }

    public void setService(String service) {
        this.service = service;
    }

    public String getWsdl() {
        if(wsdl == null || wsdl.equals("")){
            wsdl = "wsdl link";
        }
        return wsdl;
    }

    public void setWsdl(String wsdl) {
        this.wsdl = wsdl;
    }

    public String getInterfaceName() {
        return interfaceName;
    }

    public void setInterfaceName(String interfaceName) {
        this.interfaceName = interfaceName;
    }

    public String getServer() {
        return server;
    }

    public void setServer(String server) {
        this.server = server;
    }

    public EndPointTO() {
        super();
    }

    

    public EndPointTO(String component, String interfaceName, String name, String server,
            String service, String type, String wsdl) {
        super();
        this.component = component;
        this.interfaceName = interfaceName;
        this.name = name;
        this.server = server;
        this.service = service;
        this.type = type;
        this.wsdl = wsdl;
    }
    
    public EndPointTO(String component, String interfaceName, String name, String server,
            String service, String type) {
        super();
        this.component = component;
        this.interfaceName = interfaceName;
        this.name = name;
        this.server = server;
        this.service = service;
        this.type = type;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
    
    
}
